<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateDemosTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: demos
         */
        Schema::create('demos', function ($table) {
            $table->increments('id');
            $table->string('text', 255)->nullable();
            $table->string('drop_down', 255)->nullable();
            $table->string('image', 255)->nullable();
            $table->string('file', 255)->nullable();
            $table->string('radio', 255)->nullable();
            $table->string('check', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('demos');
    }
}
