<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for demo in demo package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  demo module in demo package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Demo',
    'names'         => 'Demos',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Demos',
        'sub'   => 'Demos',
        'list'  => 'List of demos',
        'edit'  => 'Edit demo',
        'create'    => 'Create new demo'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'text'                       => 'text',
        'drop_down'                  => 'drop_down',
        'image'                      => 'image',
        'file'                       => 'file',
        'radio'                      => 'radio',
        'check'                      => 'checkbox',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'text'                       => 'text',
        'drop_down'                  => 'drop_down',
        'image'                      => 'image',
        'file'                       => 'file',
        'radio'                      => 'radio',
        'check'                      => 'checkbox',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'text'                       => ['name' => 'text', 'data-column' => 1, 'checked'],
        'drop_down'                  => ['name' => 'drop_down', 'data-column' => 2, 'checked'],
        'image'                      => ['name' => 'image', 'data-column' => 3, 'checked'],
        'file'                       => ['name' => 'file', 'data-column' => 4, 'checked'],
        'radio'                      => ['name' => 'radio', 'data-column' => 5, 'checked'],
        'check'                      => ['name' => 'checkbox', 'data-column' => 6, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Demos',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
