            <div class='row'>
                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('text')
                       -> label(trans('demo::demo.label.text'))
                       -> required()
                       -> placeholder(trans('demo::demo.placeholder.text'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                    {!! Form::select('drop_down')
                    -> options(trans('demo::demo.options.drop_down'))
                    -> label(trans('demo::demo.label.drop_down'))
                    -> required()
                    -> placeholder(trans('demo::demo.placeholder.drop_down'))!!}
               </div>

                <div class='col-md-12 col-sm-12'>
                    <div class="form-group">
                        <label for="images" class="control-label col-lg-12 col-sm-12 text-left">
                         {{trans('demo::demo.label.image') }}
                         </label>
                        <div class='col-lg-3 col-sm-12'>
                            {!! $demo->files('images', 10)
                            ->mime(config('filer.image_extensions'))
                            ->url($demo->getUploadUrl('images'))
                            ->dropzone()!!}
                        </div>
                        <div class='col-lg-7 col-sm-12'>
                            {!! $demo->files('images')
                             ->editor()!!}
                        </div>
                    </div>
                </div>
                <div class='col-md-12 col-sm-12'>
                    <div class="form-group">
                        <label for="files" class="control-label col-lg-12 col-sm-12 text-left"> {{trans('demo::demo.label.file') }}
                        </label>
                        <div class='col-lg-3 col-sm-12'>
                            {!! $demo->files('files')
                            ->url($demo->getUploadUrl('files'))
                            ->mime(config('filer.allowed_extensions'))
                            ->files()!!}
                        </div>
                        <div class='col-lg-7 col-sm-12'>
                            {!! $demo->files('files')
                            ->editor()!!}
                        </div>
                    </div>
                </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_radios('radio')
                   -> radios(trans('demo::demo.options.radio'))
                   -> required()
                   -> label(trans('demo::demo.label.radio'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_checkboxes('check[]')
                   -> checkboxes(trans('demo::demo.options.check'))
                   -> required()
                   -> label(trans('demo::demo.label.check'))!!}
                </div>
            </div>